get
https://api.7digital.com/1.2/release/tracks
Get a list of all tracks constituting the release.
Example request
GET https://api.7digital.com/1.2/release/tracks?releaseid=64705&oauth_consumer_key=YOUR_KEY_HERE&country=GB&usageTypes=download,subscriptionstreaming,adsupportedstreamingExample response
{
"page": 1,
"pageSize": 3,
"totalItems": 3,
"tracks": [
{
"id": 9525,
"title": "No Surprises",
"version": "",
"artist": {
"id": 304,
"name": "Radiohead",
"appearsAs": "Radiohead",
"slug": "radiohead",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/003/0000000304_150.jpg",
"isPlaceholderImage": true
},
"trackNumber": 1,
"duration": 229,
"explicitContent": false,
"isrc": "GBAYE9700386",
"type": "audio",
"release": {
"id": 1046,
"title": "No Surprises",
"version": "",
"type": "Single",
"barcode": "0724388514453",
"slug": "no-surprises",
"artist": {
"id": 304,
"name": "Radiohead",
"appearsAs": "Radiohead",
"slug": "radiohead",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/003/0000000304_150.jpg",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/010/0000001046_50.jpg",
"label": {
"id": 227575,
"name": "Parlophone UK"
},
"licensor": {
"id": 18,
"name": "Warner"
}
},
"discNumber": 1,
"number": 1,
"download": {
"releaseDate": "2003-03-01T00:00:00Z",
"previewDate": "2003-03-01T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": null,
"recommendedRetailPrice": "0.99"
},
"formats": [
{
"id": 17,
"description": "MP3 320"
}
]
},
{
"id": 9,
"description": "Premium",
"price": {
"currencyCode": "USD",
"sevendigitalPrice": null,
"recommendedRetailPrice": "0.99"
},
"formats": [
{
"id": 45,
"description": "FLAC 16-bit 44.1kHz"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2003-03-01T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2003-03-01T00:00:00Z"
}
},
{
"id": 9526,
"title": "Palo Alto",
"version": "",
"artist": {
"id": 304,
"name": "Radiohead",
"appearsAs": "Radiohead",
"slug": "radiohead",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/003/0000000304_150.jpg",
"isPlaceholderImage": true
},
"trackNumber": 2,
"duration": 224,
"explicitContent": false,
"isrc": "GBAYE9800042",
"type": "audio",
"release": {
"id": 1046,
"title": "No Surprises",
"version": "",
"type": "Single",
"barcode": "0724388514453",
"slug": "no-surprises",
"artist": {
"id": 304,
"name": "Radiohead",
"appearsAs": "Radiohead",
"slug": "radiohead",
"image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/003/0000000304_150.jpg",
"isPlaceholderImage": true
},
"image": "http://artwork-cdn.7static.com/static/img/sleeveart/00/000/010/0000001046_50.jpg",
"label": {
"id": 227575,
"name": "Parlophone UK"
},
"licensor": {
"id": 18,
"name": "Warner"
}
},
"discNumber": 1,
"number": 2,
"download": {
"releaseDate": "2003-03-01T00:00:00Z",
"previewDate": "2003-03-01T00:00:00Z",
"packages": [
{
"id": 2,
"description": "Standard",
"price": {
"currencyCode": "GBP",
"sevendigitalPrice": null,
"recommendedRetailPrice": "0.99"
},
"formats": [
{
"id": 17,
"description": "MP3 320"
}
]
}
]
},
"subscriptionStreaming": {
"releaseDate": "2003-03-01T00:00:00Z"
},
"adSupportedStreaming": {
"releaseDate": "2003-03-01T00:00:00Z"
}
},
...
]
}Specific Error Codes
- HTTP: 2001 - Release id not licensed for this partner. The copyright for the release you requested is owned by a label not currently licensed for your service.

